org.apache.olingo.client.api.uri

## Enum SegmentType

- java.lang.Object
- - java.lang.Enum<SegmentType>
  - - org.apache.olingo.client.api.uri.SegmentType

- All Implemented Interfaces:
    Serializable, Comparable<SegmentType>

      public enum SegmentType
      extends Enum<SegmentType>

  URI Segment types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `BATCH`
    `BOUND_ACTION`
    `BOUND_OPERATION`
    `COUNT`
    `CROSS_JOIN`
    `DERIVED_ENTITY_TYPE`
    `ENTITY`
    `ENTITYSET`
    `KEY`
    `KEY_AS_SEGMENT`
    `LINKS`
    `METADATA`
    `NAVIGATION`
    `PROPERTY`
    `REF`
    `ROOT_QUERY_OPTION` For query options like $count that need to stay in their own segment, right after service root.
    `SERVICEROOT`
    `SINGLETON`
    `UNBOUND_ACTION`
    `UNBOUND_OPERATION`
    `VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()`
    `static SegmentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SegmentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTITY

          public static final SegmentType ENTITY

    - #### ENTITYSET

          public static final SegmentType ENTITYSET

    - #### SINGLETON

          public static final SegmentType SINGLETON

    - #### KEY

          public static final SegmentType KEY

    - #### KEY_AS_SEGMENT

          public static final SegmentType KEY_AS_SEGMENT

    - #### PROPERTY

          public static final SegmentType PROPERTY

    - #### NAVIGATION

          public static final SegmentType NAVIGATION

    - #### DERIVED_ENTITY_TYPE

          public static final SegmentType DERIVED_ENTITY_TYPE

    - #### VALUE

          public static final SegmentType VALUE

    - #### COUNT

          public static final SegmentType COUNT

    - #### BOUND_OPERATION

          public static final SegmentType BOUND_OPERATION

    - #### UNBOUND_OPERATION

          public static final SegmentType UNBOUND_OPERATION

    - #### BOUND_ACTION

          public static final SegmentType BOUND_ACTION

    - #### UNBOUND_ACTION

          public static final SegmentType UNBOUND_ACTION

    - #### METADATA

          public static final SegmentType METADATA

    - #### BATCH

          public static final SegmentType BATCH

    - #### LINKS

          public static final SegmentType LINKS

    - #### REF

          public static final SegmentType REF

    - #### CROSS_JOIN

          public static final SegmentType CROSS_JOIN

    - #### ALL

          public static final SegmentType ALL

    - #### ROOT_QUERY_OPTION

          public static final SegmentType ROOT_QUERY_OPTION

      For query options like $count that need to stay in their own segment, right after service root.
      See Also:
        `QueryOption.COUNT`

    - #### SERVICEROOT

          public static final SegmentType SERVICEROOT

  - ### Method Detail

    - #### values

          public static SegmentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SegmentType c : SegmentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SegmentType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.